This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 139897

Summary: Duplicate mnemonics in "Tools > Options > Editor > Indentation"
Product: editor Reporter: Petr Dvorak <joshis>
Component: OptionsAssignee: issues@editor <issues>
Status: VERIFIED FIXED    
Severity: blocker Keywords: A11Y, SIMPLEFIX
Priority: P3    
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:

Description Petr Dvorak 2008-07-14 15:55:02 UTC
Product Version: NetBeans IDE Dev (Build 200807101204)
Java: 1.6.0_10-rc; Java HotSpot(TM) Client VM 11.0-b13
System: Linux version 2.6.24-19-generic running on i386; UTF-8; en_US (nb)

Go to Tools>Options>Editor>Indentation. Mnemonics "h" is assigned to both label "Rig&ht margin" and button "&Help".
Results of A11Y testing:

 Components with potential mnemonics conflict:
 - components with mnemonic 'H' :
   Class: javax.swing.JButton {  Help |  Help button }
   Class: javax.swing.JLabel {  Right Margin: |  }
Comment 1 Vitezslav Stejskal 2008-07-15 16:47:23 UTC
http://hg.netbeans.org/main/rev/39ace04599c1
Comment 2 Quality Engineering 2008-07-17 04:36:30 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #324 build
Changeset: http://hg.netbeans.org/main/rev/39ace04599c1
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #139897 (fixed): fixing mnemonics colission with the Help button
Comment 3 Petr Dvorak 2008-07-22 12:49:13 UTC
Verified.